aboutsummaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
authorJustin M. Keyes <justinkz@gmail.com>2017-09-09 21:59:46 +0200
committerGitHub <noreply@github.com>2017-09-09 21:59:46 +0200
commitd173d48177fd55928a9acd64a06d47371bbb6b09 (patch)
tree56345be9219a808efc0f34304f8e873b866a357c /ci
parent7c00b10d8d99e9794e5e744c813164c45fc3c8b6 (diff)
parent6389bde0bc966e5a5850735b0b1605f7fca233f9 (diff)
downloadrneovim-d173d48177fd55928a9acd64a06d47371bbb6b09.tar.gz
rneovim-d173d48177fd55928a9acd64a06d47371bbb6b09.tar.bz2
rneovim-d173d48177fd55928a9acd64a06d47371bbb6b09.zip
Merge #7253 from justinmk/ci-travis
Diffstat (limited to 'ci')
-rwxr-xr-xci/before_install.sh20
1 files changed, 18 insertions, 2 deletions
diff --git a/ci/before_install.sh b/ci/before_install.sh
index 5b36adaef2..8b0603eb16 100755
--- a/ci/before_install.sh
+++ b/ci/before_install.sh
@@ -11,6 +11,18 @@ if [[ "${TRAVIS_OS_NAME}" == osx ]]; then
brew update
fi
+echo 'python info:'
+(
+ 2>&1 python --version || true
+ 2>&1 python2 --version || true
+ 2>&1 python3 --version || true
+ 2>&1 pip --version || true
+ 2>&1 pip2 --version || true
+ 2>&1 pip3 --version || true
+ echo 'pyenv versions:'
+ 2>&1 pyenv versions || true
+) | sed 's/^/ /'
+
echo "Upgrade Python 2 pip."
pip2.7 -q install --user --upgrade pip
@@ -20,6 +32,10 @@ if [[ "${TRAVIS_OS_NAME}" == osx ]]; then
echo "Upgrade Python 3 pip."
pip3 -q install --user --upgrade pip
else
- echo "Upgrade Python 3 pip."
- pip3 -q install --user --upgrade pip
+ if command -v pip3 ; then
+ echo "Upgrade Python 3 pip."
+ pip3 -q install --user --upgrade pip
+ else
+ echo 'warning: missing pip3'
+ fi
fi